package com.qmth.teachcloud.common.bean.params;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.List;

/**
 * @Description: 角色组成员match
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2022/3/9
 */
public class SysRoleGroupMemberMatch implements Serializable {

    @ApiModelProperty(value = "角色id组")
    @JsonSerialize(using = ToStringSerializer.class)
    @NotEmpty(message = "角色id组不能为空")
    private List<Long> roleIdList;

    @ApiModelProperty(value = "用户id")
    @JsonSerialize(using = ToStringSerializer.class)
    @NotNull(message = "用户id不能为空")
    private Long userId;

    public SysRoleGroupMemberMatch() {

    }

    public SysRoleGroupMemberMatch(List<Long> roleIdList) {
        this.roleIdList = roleIdList;
    }

    public SysRoleGroupMemberMatch(List<Long> roleIdList, Long userId) {
        this.roleIdList = roleIdList;
        this.userId = userId;
    }

    public List<Long> getRoleIdList() {
        return roleIdList;
    }

    public void setRoleIdList(List<Long> roleIdList) {
        this.roleIdList = roleIdList;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }
}